# Data package ID

{% hint style="warning" %}

### API test authentication

The Open API block allows you to test OS APIs directly from the page with example data and parameters. To use this feature, you will need to add your API Key or OAuth2 token to the authentication field.

For help generating an API Key or OAuth2 token, please see the [Getting started with an API project](https://docs.os.uk/os-apis/core-concepts/getting-started-with-an-api-project) or [OAuth2 documentation](https://docs.os.uk/os-apis/accessing-os-apis/oauth-2-api).
{% endhint %}

## GET /dataPackages/{dataPackageId}

> Get a specific data package.

```json
{"openapi":"3.0.0","info":{"title":"Ordnance Survey Download API","version":"1.0.0"},"tags":[{"name":"Data Packages","description":"Operations providing access to data packages.\nTo access data packages you must supply a valid API key or OAuth 2 access token.\n"}],"servers":[{"url":"https://api.os.uk/downloads/v1/"}],"security":[{"OAuth2":[]},{"APIKeyQuery":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.os.uk/oauth2/token/v1","scopes":{}}}},"APIKeyQuery":{"type":"apiKey","in":"query","name":"key"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"key"}},"parameters":{"dataPackageId":{"name":"dataPackageId","in":"path","description":"The id of the data package.","required":true,"schema":{"type":"string"}}},"schemas":{"DataPackage":{"type":"object","description":"A data package provides access to OS products that are not OpenData. If you have access to to products that\nare available as data packages then you can create new data packages using the OS Data Hub. Once you have set\nup your data packages you can use this API to access them.\n","required":["id","name","url","createdOn","productId","productName","versions"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"url":{"type":"string","format":"uri"},"createdOn":{"type":"string","format":"date"},"productId":{"type":"string"},"productName":{"type":"string"},"versions":{"type":"array","items":{"$ref":"#/components/schemas/DataPackageVersionSummary"}}}},"DataPackageVersionSummary":{"type":"object","description":"Summary information about a data package version.\n","required":["id","url","createdOn","reason","supplyType","productVersion","productFormat"],"properties":{"id":{"type":"string"},"url":{"type":"string","format":"uri"},"createdOn":{"type":"string","format":"date"},"reason":{"type":"string","enum":["INITIAL","UPDATE","EXPANSION","RESUPPLY","ONLINE_ORDER"]},"supplyType":{"type":"string","enum":["FULL","COU"]},"productVersion":{"type":"string"},"format":{"type":"string"},"dataPackageUrl":{"type":"string","format":"uri"}}}},"responses":{"UnauthorizedError":{"description":"The API key or OAuth 2 access token is missing or invalid.","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"}}}}}},"NotFoundError":{"description":"The request does not match any known content.\nThe response will contain a human readable message, and may also contain links to help you\nnavigate to other API endpoints.\n","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"dataPackagesUrl":{"type":"string","format":"uri"},"downloadCatalogueUrl":{"type":"string","format":"uri"},"productUrl":{"type":"string","format":"uri"},"productDownloadsUrl":{"type":"string","format":"uri"}}}}}}}},"paths":{"/dataPackages/{dataPackageId}":{"get":{"summary":"Get a specific data package.","tags":["Data Packages"],"parameters":[{"$ref":"#/components/parameters/dataPackageId"}],"responses":{"200":{"description":"A data package.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPackage"}}}},"401":{"$ref":"#/components/responses/UnauthorizedError"},"404":{"$ref":"#/components/responses/NotFoundError"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-downloads-api/technical-specification/data-package-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
